Get Assistant Widget
assistant-widgets
Get Assistant Widget
Get the default widget config for an assistant.
GET
Get Assistant Widget
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://qall.io/api/assistants/{assistant_id}/widget \
--header 'Authorization: Bearer <token>'import requests
url = "https://qall.io/api/assistants/{assistant_id}/widget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assistant_id": 123,
"config": {},
"id": 123,
"is_active": true,
"is_default": true,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get the default widget config for an assistant.
curl --request GET \
--url https://qall.io/api/assistants/{assistant_id}/widget \
--header 'Authorization: Bearer <token>'import requests
url = "https://qall.io/api/assistants/{assistant_id}/widget"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"assistant_id": 123,
"config": {},
"id": 123,
"is_active": true,
"is_default": true,
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.